Subject: Re: linux-next: manual merge of the kvm-riscv tree with the risc-v tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 1 Nov 2023 13:37:43 +1100

Hi all,

On Mon, 30 Oct 2023 12:53:02 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the kvm-riscv tree got a conflict in:
> 
>   arch/riscv/include/asm/csr.h
> 
> between commit:
> 
>   43c16d51a19b ("RISC-V: Enable cbo.zero in usermode")
> 
> from the risc-v tree and commits:
> 
>   db3c01c7a308 ("RISCV: KVM: Add senvcfg context save/restore")
>   81f0f314fec9 ("RISCV: KVM: Add sstateen0 context save/restore")
> 
> from the kvm-riscv tree.
> 
> I fixed it up (I just used the latter version of this file) and can
> carry the fix as necessary. This is now fixed as far as linux-next is
> concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

This is now a conflict between the kvm tree and the risc-v tree.

-- 
Cheers,
Stephen Rothwell